/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.TipoDomicilio;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTipoDomicilio implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        TipoDomicilio tipoDomicilio = (TipoDomicilio) o;

        Listcell lc = new Listcell(tipoDomicilio.getTipodomicilioId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tipoDomicilio.getDesctipo());
        lc.setParent(lstm);

        lc = new Listcell(tipoDomicilio.getCvetipodomicilio());
        lc.setParent(lstm);

        lstm.setAttribute("data", tipoDomicilio);
    }
}
